Commit ec331efd authored by Markus Lehtonen's avatar Markus Lehtonen Committed by Guido Günther

rpm packaging: direct dependency to zipmerge binary

The name of the package containing zipmerge varies, e.g. 'libzip' in
Fedora 22 vs. 'libzip-tools' in Fedora 23.
Signed-off-by: 's avatarMarkus Lehtonen <markus.lehtonen@linux.intel.com>
parent fe5ffe06
......@@ -64,7 +64,7 @@ BuildRequires: %{dpkg_pkg_name}
BuildRequires: rpm-build
BuildRequires: %{rpm_python_pkg_name}
BuildRequires: unzip
BuildRequires: libzip
BuildRequires: /usr/bin/zipmerge
BuildRequires: gnupg
# Missing dep of dpkg in openSUSE
%if 0%{?suse_version}
......@@ -88,10 +88,10 @@ Requires: python-setuptools
Requires: python-dateutil
%if 0%{?centos_ver} && 0%{?centos_ver} <= 7
Requires: unzip
Requires: libzip
Requires: /usr/bin/zipmerge
%else
Recommends: unzip
Recommends: libzip
Recommends: /usr/bin/zipmerge
Recommends: pristine-tar
%endif
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment